MH Problems

Tech support and suggestions forum. If you only have a basic question on how to get started, please use the "newbies" forum in the community section.

Moderator: joepal

Re: MH Problems

Postby Aranuvir » Sun Sep 27, 2020 7:05 pm

Can you post the content from cmd.exe?
Aranuvir
 
Posts: 1208
Joined: Sun Oct 12, 2014 2:12 pm

Re: MH Problems

Postby VapeLord » Sun Sep 27, 2020 7:08 pm

Of course, I forgot:

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. Alle Rechte vorbehalten.

C:\Users\Darki>cd c:\test\

c:\test>python WhatEverYouWant.py
Python : 3.8.5 (tags/v3.8.5:580fbb0, Jul 20 2020, 15:57:54) [MSC v.1924 64 bit (
AMD64)]
Numpy : 1.19.2
GL Version : 4.5.13417 Compatibility Profile Context 16.301.1901.0
User avatar
VapeLord
 
Posts: 61
Joined: Mon Mar 23, 2020 7:09 am
Location: Germany

Re: MH Problems

Postby Aranuvir » Sun Sep 27, 2020 7:22 pm

Hm. theoretically MakeHuman should run. Could you try again: "python makehuman.py --noshaders"
(it should be "minus-minus-noshaders" on Windows, too)
Aranuvir
 
Posts: 1208
Joined: Sun Oct 12, 2014 2:12 pm

Re: MH Problems

Postby VapeLord » Sun Sep 27, 2020 7:29 pm

hmmm.....still the same:

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. Alle Rechte vorbehalten.

C:\Users\Darki>cd c:\test\

c:\test>python WhatEverYouWant.py
Python : 3.8.5 (tags/v3.8.5:580fbb0, Jul 20 2020, 15:57:54) [MSC v.1924 64 bit (
AMD64)]
Numpy : 1.19.2
GL Version : 4.5.13417 Compatibility Profile Context 16.301.1901.0

c:\test>cd c:\makehuman-master\makehuman-master\makehuman\

c:\makehuman-master\makehuman-master\makehuman>python makehuman.py --noshaders
MakeHuman Copyright (C) 2001-2020 http://www.makehumancommunity.org
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it
under certain conditions. For details use the option --license

Traceback (most recent call last):
File "C:\Program Files\Python38\lib\site-packages\OpenGL\latebind.py", line 43
, in __call__
return self._finalCall( *args, **named )
TypeError: 'NoneType' object is not callable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "./lib\qtui.py", line 295, in initializeGL
gl.OnInit()
File "./lib\glmodule.py", line 316, in OnInit
glLightModelfv(GL_LIGHT_MODEL_AMBIENT, A(0.0, 0.0, 0.0, 1.0))
File "C:\Program Files\Python38\lib\site-packages\OpenGL\latebind.py", line 47
, in __call__
return self._finalCall( *args, **named )
File "C:\Program Files\Python38\lib\site-packages\OpenGL\wrapper.py", line 700
, in wrapperCall
raise err
File "C:\Program Files\Python38\lib\site-packages\OpenGL\wrapper.py", line 693
, in wrapperCall
result = wrappedOperation( *cArguments )
File "C:\Program Files\Python38\lib\site-packages\OpenGL\platform\baseplatform
.py", line 415, in __call__
return self( *args, **named )
File "C:\Program Files\Python38\lib\site-packages\OpenGL\error.py", line 230,
in glCheckError
raise self._errorClass(
OpenGL.error.GLError: GLError(
err = 1282,
description = b'Der Vorgang ist ung\xfcltig.',
baseOperation = glLightModelfv,
pyArgs = (
GL_LIGHT_MODEL_AMBIENT,
array([0., 0., 0., 1.], dtype=float32),
),
cArgs = (
GL_LIGHT_MODEL_AMBIENT,
array([0., 0., 0., 1.], dtype=float32),
),
cArguments = (
GL_LIGHT_MODEL_AMBIENT,
array([0., 0., 0., 1.], dtype=float32),
)
)

c:\makehuman-master\makehuman-master\makehuman>
User avatar
VapeLord
 
Posts: 61
Joined: Mon Mar 23, 2020 7:09 am
Location: Germany

Re: MH Problems

Postby Aranuvir » Sun Sep 27, 2020 7:55 pm

We should find out if the driver still supports legacy OpenGL and mixing these functions with modern OpenGL.

@VapeLord: Perhaps you could try older PyOpenGL versions, but I'm not too positive that will help. Uninstall PyOpenGL with pip unintsall PyOpenGL, then reinstall it and nail down the version as you did with PyQT5. Here you can find a version history; https://pypi.org/project/PyOpenGL/#history. I assume 'a' stands for alpha and b for beta and would avoid the 'a' versions. Other suggestions, as mentioned before, try to switch the graphics card to Intel or try another Operating System.

In the long run we will have to rewrite the OpenGL part of MakeHuman to only use modern OpenGL. But this will probably take a long time.
Aranuvir
 
Posts: 1208
Joined: Sun Oct 12, 2014 2:12 pm

Re: MH Problems

Postby VapeLord » Sun Sep 27, 2020 8:15 pm

Okay, thanks for the help. I will try it the next days and give you feedback if it worked. (I pray) :-)
User avatar
VapeLord
 
Posts: 61
Joined: Mon Mar 23, 2020 7:09 am
Location: Germany

Re: MH Problems

Postby RobBaer » Sun Sep 27, 2020 9:41 pm

Don't know if this is more noise in the whole situation, but Joel is using pyopengl 3.1.1a which is what I've always used on Windows to good success.
Also, Joel has built Windows version with python 3.7 and not python 3.8.

Don't know if that affects anything either. BUT you might try matching dependency versions with what is know to work.

ADDENDUM: FWIW I tried quickly to install a Python 3.8 using Anaconda python and it seems that something has happened to built-in PyQt5 support. I couldn't get it to work with pip install and got error messages related to spyder not supporting pyqt >5.12 (same problem as MH?) I backed off to python 3.7.9 and pyopengl = 3.1.1a1 and qt = 5.9.7 and MakeHuman starts again. I'm guessing versions matter a lot.
?
Joel's built version of MH uses its own python if its NOT getting mixed up with the one you have installed. I think blender installs its own too. Have you tried a fresh version of the nightly build after upgrading your driver and rebooting AND WITHOUT your own python installed? Is you python install getting in the way of either Blender or MH by being too early in the system path? I think both are at Python 3.7
User avatar
RobBaer
 
Posts: 1032
Joined: Sat Jul 13, 2013 3:30 pm
Location: Kirksville, MO USA

Previous

Return to Bugs, problems and feature requests

Who is online

Users browsing this forum: No registered users and 1 guest

cron